Subject: Re: bug#29501: 27.0.50; Remote file handling is broken

From: Stephen Berman <[email-masked]>
Date: Thu, 30 Nov 2017 10:42:29 +0100

On Thu, 30 Nov 2017 09:03:34 +0100 Michael Albinus <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
> Hi Stephen,
>
>> 0. emacs -Q
>> 1. Evaluating this sexp: (dired "/su::/var/log")
>>    fails to prompt for root's password and errors with this backtrace:
>
> This is the same problem as Bug#29163.

Ah, I didn't make the connection.

>> The failure does not happen in emacs-26; there 
>> (file-remote-p "/su::/var/log") 
>> returns 
>> #("/su:root@rosalinde:" 4 8 (tramp-default t))
>> and 
>> (find-file-name-handler "/su::/var/log" 'file-remote-p) 
>> returns
>> tramp-file-name-handler
>
> Yep. This has been fixed already in 06d05fec84.
>
>> In GNU Emacs 27.0.50 (build 10, x86_64-pc-linux-gnu, GTK+ Version 3.22.18)
>>  of 2017-11-29 built on rosalinde
>
> Meanwhile, emacs-26 has been merged to the master branch, so it shall be
> fixed there as well.

Thanks, I just updated and confirm it's fixed.

On Wed, 29 Nov 2017 20:16:06 -0500 Glenn Morris <[email-masked]> wrote:

> Stephen Berman wrote:
>
>> This commit is also in emacs-26, so it would seem that some later commit
>> to emacs-26 fixed it and this hasn't been merged to master.
>
> So rather than opening a bug report, either wait till after today's
> emacs-26 has been merged to master, 

Thanks for doing that already, and sorry for being impatient.

>                                     or better still, do it yourself.

I know I should and I'm sure it's not hard, but my git-foo is pretty
minimal and the fear of screwing it up a bit intimidating.

Steve Berman